/********************************************************************
Program:        getHtml.sas
Author:         Bill McNeill - SAS Institute
Date:           February 28, 2013
Requirement(s): * Base SAS (expect XSL procedure)
                * Base SAS 9.3 (for XSL procedure)
                * autoWebDemo.sas
Purpose:        Demonstrate various methods of obtaining data
                from an internet site for a SAS program.
Called From:    webDataDemo.sas
********************************************************************/
%put ">>>>>>>>>> Entering getHtml.sas";

/********************************************************************
 Method 1 - Process HTML table with SAS data step and macro code. 
********************************************************************/
/* Read the HTML table data into WORK.TABLE1... */
%inc "sasuser\readHtmlTables.sas";

/* ... process the data into WORK.SCHEDULE in the desired form... */
%inc "sasuser\processHtmlTable.sas";



/********************************************************************
 Method 2 - Process HTML table with XSLT, SAS data step, 
 and macro code.
********************************************************************/
/* Read the HTML table data into WORK.XSLSCHEDULE. This is just a
   demonstration of the power of XSL. Completion of converting the 
   data set to the format required for using with the rest of this
   Web Data Demonstration code is an exercise for the reader. 
*/
%inc "sasuser\xslHtmlTable.sas";

/* 
   To process the data into this form would involve  SAS code 
   similar to what was done in the processHtmlTable program used in 
   method #1. It is only similar as the XSL transformation and the XML 
   engine were able to get the data set closer to the desired form than
   the generalized readHtmlTables program used in method #1. 

   The main things to be done are converting the date and times fields 
   to SAS date and time values and adding the activityType field. Use 
   the processHtmlTable program as a model for the final processing of 
   the XSL created data set. 
*/

%put "<<<<<<<<<< Exiting getHtml.sas";
