<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  
  <xsl:output method="xml" encoding="windows-1252" indent="yes" />

  <xsl:template match="table">
     <TABLE>
        <xsl:apply-templates select="tr"/> 
     </TABLE>
  </xsl:template>

  <xsl:template match="tr">
     <xsl:choose>
        <xsl:when test="td/p/strong">
           <Schedule>
              <Date>
                 <xsl:value-of select="td/p/strong"/>
              </Date>
              <Activities>
                 <xsl:call-template name="Activities">
                    <xsl:with-param name="Activity" select="following-sibling::tr[1]"/>
                 </xsl:call-template>
   	      </Activities>
           </Schedule>
        </xsl:when>
        <xsl:otherwise>
        </xsl:otherwise>
     </xsl:choose>
  </xsl:template>
  
  <xsl:template name="Activities">
     <xsl:param name="Activity"/>
     <xsl:choose>
        <xsl:when test="$Activity[not(td/p/strong)]">
           <xsl:if test="count($Activity[td/p]) > 0">
              <xsl:for-each select="$Activity/td">
                 <xsl:if test="position()='1'">
                    <Time>
                       <xsl:value-of select="p" />
                    </Time>
                 </xsl:if>   
                 <xsl:if test="position()='3'">
                    <Event>
                       <xsl:value-of select="p" />
                    </Event>
                 </xsl:if>
              </xsl:for-each>   
           </xsl:if>
           <xsl:call-template name="Activities">
              <xsl:with-param name="Activity" select="$Activity/following-sibling::*[1]"/>
           </xsl:call-template>  
        </xsl:when>
        <xsl:otherwise>
        </xsl:otherwise>
     </xsl:choose>  
  </xsl:template>  

</xsl:stylesheet>

